package common

//RetStatus Code 1000~1099
const (
	RET_CODE_SCUESS int = 1000

	RET_MSG_SCUESS string = "SUCESS"
)

//1200~1299 account
const (
	RET_CODE_FB_NOT_BINDING_ACCOUNT  int = 1200
	RET_CODE_FBTOKEN_INVAILD         int = 1201
	RET_CODE_ACCOUNT_ERROR           int = 1202
	RET_CODE_ACCOUNT_VERSION_TOO_OLD int = 1203
	RET_CODE_MAINTAIN                int = 1204

	RET_MSG_ACCOUNT_ERROR               string = "ACCOUNT OR PASSWORD ERROR"
	RET_MSG_ACCOUNT_FBTOKEN_NOT_BINDING string = "ACCOUNT FBTOKEN NOT BINDING"
	RET_MSG_FBTOKEN_INVAILD             string = "FBTOKEN INVAILD"
	RET_MSG_ACCOUNT_VERSION_TOO_OLD     string = "VERSION TOO OLD"
	RET_MSG_MAINTAIN                    string = "SERVER　MAINTAIN"
)

//1300~1399 achiement
const (
	RET_CODE_ACHIEMENT_ERROR int    = 1300
	RET_MSG_ACHIEMENT_ERROR  string = "ACHIEMENT　ERROR"
)

//1400~1499 avatar

const (
	RET_CODE_UNLOCKAVATAR_LEVEL_ERROR    int = 1400
	RET_CODE_UNLOCKAVATAR_RESOURCE_ERROR int = 1401

	RET_MSG_UNLOCKAVATAR_LEVEL_ERROR    string = "UNLOCK LEVEL ERROR"
	RET_MSG_UNLOCKAVATAR_RESOURCE_ERROR string = "UNLOCK RESOURCE ERROR"
)

//1500~1599 COMMONAPI
const ()

//1600~1699 Reward
const (
	RET_CODE_FB_FIRSTREWARD_ERROR     int    = 1600
	RET_MSG_FB_FIRSTREWARD_ERROR      string = "THIS ACCOUNT ALREADY GET REWARD"
	RET_CODE_TIMEREWARD_NOT_PERMIT    int    = 1601
	RET_MSG_TIMEREWARD_NOT_PERMIT     string = "IMEREWARD NOT PERMIT"
	RET_CODE_TIMELY_REWARD_NOT_ONTIME int    = 1602
	RET_MSG_TIMELY_REWARD_NOT_ONTIME  string = "TIMELY_REWARD_NOT_ONTIME"
	RET_CODE_LEVEL_REWARD_NOT_ALLOW   int    = 1603
	RET_MSG_LEVEL_REWARD_NOT_ALLOW    string = "_LEVEL REWARD NOT ALLOW"
)

//1700~1799  JWT
const (
	RET_CODE_JWT_GET_JWT_ERROR int    = 1700
	RET_MSG_JWT_GET_JWT_ERROR  string = "GET_JWT_ERROR"
)

//1800~1899 shop
const (
	RET_CODE_GET_RECEIPT_ERROR      int    = 1801
	RET_MSG_GET_RECEIPT_ERROR       string = "GET RECEIPT ERROR"
	RET_CODE_VERTIFY_RECEIPT_ERROR  int    = 1802
	RET_MSG_VERTIFY_RECEIPT_ERROR   string = "VERTIFY RECEIPT ERROR"
	RET_CODE_ITEM_CANT_BUY          int    = 1803
	RET_MSG_ITEM_CANT_BUY           string = "ITEM CANT BUY"
	RET_CODE_RECEIPT_REQUEST_REPEAT int    = 1804
	RET_MSG_RECEIPT_REQUEST_REPEAT  string = "RECEIPT REQUEST REPEAT"
)

type RetStatus struct {
	Statuscode int    `json:"statuscode"`
	StatusMsg  string `json:"statusMsg"`
}

type ServiceVersionRequest struct {
	ServiceVersion string `json:"version"`
}
